'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

// copied from official index.js

const toString16 = (userIdOrNumber, length) => {
  const hexOrId = userIdOrNumber.toString(16);
  return hexOrId.length > length ? hexOrId.slice(hexOrId.length - length) : '0'.repeat(length - hexOrId.length) + hexOrId;
};

const createIdGenerator = userId => {
  let counter = Math.floor(16777215 * Math.random());
  return () => {
    const t = Math.floor(Date.now() / 1e3);

    if ((counter += 1) > 16777215) {
      counter = 0;
    }

    return toString16(t, 8) + toString16(userId, 6) + toString16(0, 4) + toString16(counter, 6);
  };
};

exports.createIdGenerator = createIdGenerator;
//# sourceMappingURL=id.js.map
