'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var id = require('../../common/id.js');

const createChanges = (values, userId) => {
  const generateId = id.createIdGenerator(userId);
  return values.map(param => {
    switch (param.type) {
      case 'insert':
        {
          return {
            _insert: param.position || '_end',
            lines: {
              id: generateId(),
              text: param.text
            }
          };
        }

      case 'update':
        {
          return {
            _update: param.id,
            lines: {
              text: param.text
            }
          };
        }

      case 'delete':
        {
          return {
            _delete: param.id,
            lines: -1
          };
        }

      case 'title':
        {
          return {
            title: param.title
          };
        }

      case 'description':
        {
          return {
            descriptions: [param.text]
          };
        }

      default:
        {
          throw new Error('Bad implement');
        }
    }
  });
};

exports.createChanges = createChanges;
//# sourceMappingURL=change.js.map
