'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var message = require('./message.js');

const socketIoMessageSerializer = param => {
  return !Array.isArray(param) ? String(param) : `${message.packetTypes.updateMessage}${param[0]}${JSON.stringify(['socket.io-request', param[1]])}`;
};
const socketIoMessageRegexp = /^(\d+)(\D?.*)$/;
const socketIoMessageDeserializer = event => {
  const [, packetType, data] = String(event.data).match(socketIoMessageRegexp) ?? [];
  return {
    packetType,
    data: data ? JSON.parse(data) : undefined
  };
};

exports.socketIoMessageDeserializer = socketIoMessageDeserializer;
exports.socketIoMessageSerializer = socketIoMessageSerializer;
//# sourceMappingURL=serializer.js.map
