'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const isString = value => typeof value === 'string';
const pairwise = array => {
  return array.map((value, index) => index === 0 ? [null, value] : [array[index - 1], value]);
}; // @deprecated

const threewise = array => {
  return array.map((value, index) => {
    const previous = index === 0 ? null : array[index - 1];
    const next = index === array.length - 1 ? null : array[index + 1];
    return [previous, value, next];
  });
};
const threewiseMap = (array, project) => {
  const mapped = [];

  for (let i = 0; i < array.length; i++) {
    const prev = mapped[i - 1];
    const curr = array[i];
    const next = array[i + 1];
    mapped.push(project(curr, prev, next, i));
  }

  return mapped;
};

exports.isString = isString;
exports.pairwise = pairwise;
exports.threewise = threewise;
exports.threewiseMap = threewiseMap;
//# sourceMappingURL=functions.js.map
