export declare type InlineNode = string | {
    type: 'quote';
    unit: {
        whole: string;
        content: string;
        tag: string;
    };
} | {
    type: 'hashTag';
    unit: {
        content: string;
        whole: string;
        tag: '#';
        page: string;
    };
} | {
    type: 'strong';
    unit: {
        whole: string;
        content: string;
    };
} | {
    type: 'deco';
    unit: {
        whole: string;
        content: string;
        deco: string;
        strong: number;
        italic: boolean;
        strike: boolean;
        underline: boolean;
    };
} | {
    type: 'deco-formula';
    unit: {
        whole: string;
        content: string;
        formula: string;
    };
} | {
    type: 'icon';
    unit: {
        whole: string;
        content: string;
        project: string;
        page: string;
        size: number;
    };
} | {
    type: 'code';
    unit: {
        whole: string;
        content: string;
    };
} | {
    type: 'url';
    unit: {
        whole: string;
        content: string;
    };
} | {
    type: 'gyazo';
    unit: {
        whole: string;
        content: string;
    };
} | {
    type: 'link';
    unit: {
        whole: string;
        content: string;
        page: string;
        project?: string;
    };
} | {
    type: 'urlLink';
    unit: {
        whole: string;
        content: string;
        link: string;
        title?: string;
    };
};
export declare const parseInlineNodes: (text: string) => InlineNode | InlineNode[];
