import { BlockNode } from './block-nodes';
export declare type ParseResult = {
    text: string;
    section: {
        number: number;
        start: boolean;
        end: boolean;
    };
    indent: number;
    empty: boolean;
    number: number;
} & ({
    title: true;
    nodes?: never;
    codeBlock?: never;
    tableBlock?: never;
    cli?: never;
} | {
    title?: never;
    nodes: NonNullable<BlockNode['nodes']>;
    codeBlock?: never;
    tableBlock?: never;
    cli?: never;
} | {
    title?: never;
    nodes?: never;
    codeBlock: NonNullable<BlockNode['codeBlock']> & {
        indent: number;
        start: boolean;
        end: boolean;
    };
    tableBlock?: never;
    cli?: never;
} | {
    title?: never;
    nodes?: never;
    codeBlock?: never;
    tableBlock: NonNullable<BlockNode['tableBlock']> & {
        indent: number;
        start: boolean;
        end: boolean;
    };
    cli?: never;
} | {
    title?: never;
    nodes?: never;
    codeBlock?: never;
    tableBlock?: never;
    cli: NonNullable<BlockNode['cli']>;
});
export declare const parseLines: <T extends {
    text: string;
}>(lines: T[]) => (ParseResult & T)[];
