'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var rxjs = require('rxjs');
var operators = require('rxjs/operators');
var documentReady = require('./internal/document-ready.js');
var historyState = require('./internal/history-state.js');

class Router {
  event$ = historyState.historyState().pipe(operators.share());

  get url() {
    return rxjs.concat(rxjs.of(window.location.href), this.event$).pipe(operators.distinctUntilChanged());
  }

  get urlChange() {
    return this.event$.pipe(operators.distinctUntilChanged());
  }

  get documentReady() {
    return documentReady.documentReady();
  }

}

exports.Router = Router;
//# sourceMappingURL=router.js.map
