import { InlineNode } from './inline-nodes';
export declare type BlockNode = {
    indent: number;
    empty: boolean;
    codeBlock: {
        filename: string;
        lang: string;
    };
    tableBlock?: never;
    cli?: never;
    nodes?: never;
} | {
    indent: number;
    empty: boolean;
    codeBlock?: never;
    tableBlock: {
        title: string;
        cells: string[];
    };
    cli?: never;
    nodes?: never;
} | {
    indent: number;
    empty: boolean;
    codeBlock?: never;
    tableBlock?: never;
    cli: {
        prefix: '$' | '%';
        command: string;
    };
    nodes?: never;
} | {
    indent: number;
    empty: boolean;
    codeBlock?: never;
    tableBlock?: never;
    cli?: never;
    nodes: (InlineNode | InlineNode[]) | {
        type: 'indent';
        unit: {
            whole: string;
            content: string;
            tag: string;
        };
        children: InlineNode | InlineNode[];
    };
};
export declare const parseBlockNode: (text: string) => BlockNode;
