import { Observable } from 'rxjs';

const documentReady = () => {
    return new Observable((subscriber) => {
        if (window.document.readyState === 'complete' || window.document.readyState === 'interactive') {
            subscriber.next();
            subscriber.complete();
            return;
        }
        window.document.addEventListener('DOMContentLoaded', () => {
            subscriber.next();
            subscriber.complete();
        }, { once: true });
    });
};

export { documentReady };
//# sourceMappingURL=document-ready.js.map
