import { concat, of } from 'rxjs';
import { share, distinctUntilChanged } from 'rxjs/operators';
import { documentReady } from './internal/document-ready.js';
import { historyState } from './internal/history-state.js';

class Router {
    event$ = historyState().pipe(share());
    get url() {
        return concat(of(window.location.href), this.event$).pipe(distinctUntilChanged());
    }
    get urlChange() {
        return this.event$.pipe(distinctUntilChanged());
    }
    get documentReady() {
        return documentReady();
    }
}

export { Router };
//# sourceMappingURL=router.js.map
